package com.yihu.wlyy.entity.patient.invitation;

import java.sql.Timestamp;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.GenericGenerator;

/**
 * 患者邀请记录
 */
@Entity
@Table(name = "wlyy_patient_invite_log")
public class PatientInvitationLog implements java.io.Serializable {

    private String id;
    private String invitePatientCode;//被邀请人code
    private String invitePatientName;//被邀请人name
    private String dealPatientCode;//处理人
    private String dealPatientName;//处理人名
    private String inviteDoctorCode;//邀请人
    private String inviteDoctorName;//邀请人名称
    private Date inviteTime;//邀请时间
    private Date dealTime;//处理时间
    private String dealType;//0未处理 1处理同意  2处理不同意
    private String relationType;// 被邀请人与处理人关系 1 父亲 2母亲 3妻子 4儿子 5 女儿 0未知
    private String wxPush;// 是否微信推送 1 否 0是
    private Date wxPushTime;//推送时间

    public PatientInvitationLog(){}

    public PatientInvitationLog(Timestamp inviteTime, Timestamp dealTime) {
        this.inviteTime = inviteTime;
        this.dealTime = dealTime;
    }

    public PatientInvitationLog(String invitePatientCode,
                                String invitePatientName, String dealPatientCode,
                                String dealPatientName, String inviteDoctorCode,
                                String inviteDoctorName, Timestamp inviteTime, Timestamp dealTime,
                                String dealType) {
        this.invitePatientCode = invitePatientCode;
        this.invitePatientName = invitePatientName;
        this.dealPatientCode = dealPatientCode;
        this.dealPatientName = dealPatientName;
        this.inviteDoctorCode = inviteDoctorCode;
        this.inviteDoctorName = inviteDoctorName;
        this.inviteTime = inviteTime;
        this.dealTime = dealTime;
        this.dealType = dealType;
    }

    @Id
    @Column(name = "id", unique = true, nullable = false, length = 50)
    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(name = "invite_patient_code", length = 50)
    public String getInvitePatientCode() {
        return this.invitePatientCode;
    }

    public void setInvitePatientCode(String invitePatientCode) {
        this.invitePatientCode = invitePatientCode;
    }

    @Column(name = "invite_patient_name", length = 50)
    public String getInvitePatientName() {
        return this.invitePatientName;
    }

    public void setInvitePatientName(String invitePatientName) {
        this.invitePatientName = invitePatientName;
    }

    @Column(name = "deal_patient_code", length = 50)
    public String getDealPatientCode() {
        return this.dealPatientCode;
    }

    public void setDealPatientCode(String dealPatientCode) {
        this.dealPatientCode = dealPatientCode;
    }

    @Column(name = "deal_patient_name", length = 50)
    public String getDealPatientName() {
        return this.dealPatientName;
    }

    public void setDealPatientName(String dealPatientName) {
        this.dealPatientName = dealPatientName;
    }

    @Column(name = "invite_doctor_code", length = 50)
    public String getInviteDoctorCode() {
        return this.inviteDoctorCode;
    }

    public void setInviteDoctorCode(String inviteDoctorCode) {
        this.inviteDoctorCode = inviteDoctorCode;
    }

    @Column(name = "invite_doctor_name", length = 50)
    public String getInviteDoctorName() {
        return this.inviteDoctorName;
    }

    public void setInviteDoctorName(String inviteDoctorName) {
        this.inviteDoctorName = inviteDoctorName;
    }

    @Column(name = "invite_time", length = 0)
    public Date getInviteTime() {
        return this.inviteTime;
    }

    public void setInviteTime(Date inviteTime) {
        this.inviteTime = inviteTime;
    }

    @Column(name = "deal_time", length = 0)
    public Date getDealTime() {
        return this.dealTime;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    @Column(name = "deal_type", length = 1)
    public String getDealType() {
        return this.dealType;
    }

    public void setDealType(String dealType) {
        this.dealType = dealType;
    }

    @Column(name = "relation_type", length = 1)
    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    @Column(name = "wx_push", length = 1)
    public String getWxPush() {
        return wxPush;
    }

    public void setWxPush(String wxPush) {
        this.wxPush = wxPush;
    }

    @Column(name = "wx_push_time")
    public Date getWxPushTime() {
        return wxPushTime;
    }

    public void setWxPushTime(Date wxPushTime) {
        this.wxPushTime = wxPushTime;
    }
}